package org.maachang.proxy.engine.conf;

import java.io.Serializable;

/**
 * 1つのアクセスデータ.
 * 
 * @version 2008/04/10
 * @author masahito suzuki
 * @since MaachangProxy 1.01
 */
public class AccessInfo implements Serializable {
    private static final long serialVersionUID = 6849443317641016757L;
    
    /**
     * 日付.
     */
    private String date = null ;
    
    /**
     * URL.
     */
    private String url = null ;
    
    /**
     * アドレス.
     */
    private String addr = null ;
    
    /**
     * ユーザエージェント.
     */
    private String userAgent = null ;
    
    /**
     * ステータス.
     */
    private String state = null ;

    /**
     * addr を取得.
     * <BR><BR>
     * @return addr が返されます.
     */
    public String getAddr() {
        return addr;
    }

    /**
     * addr を設定.
     * <BR><BR>
     * @param addr addr を設定します.
     */
    public void setAddr(String addr) {
        this.addr = addr;
    }

    /**
     * date を取得.
     * <BR><BR>
     * @return date が返されます.
     */
    public String getDate() {
        return date;
    }

    /**
     * date を設定.
     * <BR><BR>
     * @param date date を設定します.
     */
    public void setDate(String date) {
        this.date = date;
    }

    /**
     * url を取得.
     * <BR><BR>
     * @return url が返されます.
     */
    public String getUrl() {
        return url;
    }

    /**
     * url を設定.
     * <BR><BR>
     * @param url url を設定します.
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * userAgent を取得.
     * <BR><BR>
     * @return userAgent が返されます.
     */
    public String getUserAgent() {
        return userAgent;
    }

    /**
     * userAgent を設定.
     * <BR><BR>
     * @param userAgent userAgent を設定します.
     */
    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }

    /**
     * state を取得.
     * <BR><BR>
     * @return state が返されます.
     */
    public String getState() {
        return state;
    }

    /**
     * state を設定.
     * <BR><BR>
     * @param state state を設定します.
     */
    public void setState(String state) {
        this.state = state;
    }
    
}
